#### associated_immediate_executor< reference_wrapper< T >, Executor >::type

Forwards `type` to the associator specialisation for the unwrapped type `T`.

    typedef associated_immediate_executor< T, Executor >::type type;

###### Types

Name | Description
--- | ---
type | If T has a nested type immediate_executor_type,.

###### Member Functions

Name | Description
--- | ---
decltype [static] | If T has a nested type immediate_executor_type, returns t.get_immediate_executor(). Otherwise returns asio::require(ex, asio::execution::blocking.never).

###### Data Members

Name | Description
--- | ---
noexcept |

A program may specialise this traits type if the `T` template parameter in the specialisation is a user-defined type. The template parameter `Executor` shall be a type meeting the Executor requirements.

Specialisations shall meet the following requirements, where `t` is a const reference to an object of type `T`, and `e` is an object of type `Executor`.

- Provide a nested typedef `type` that identifies a type meeting the Executor requirements.
- Provide a noexcept static member function named `get`, callable as `get(t)` and with return type `type` or a (possibly const) reference to `type`.
- Provide a noexcept static member function named `get`, callable as `get(t,e)` and with return type `type` or a (possibly const) reference to `type`.

###### Requirements

Header: `asio/associated_immediate_executor.hpp`

Convenience header: `asio.hpp`